Skip to main content
POST
/
contract
/
v1
/
salaries
Create Salary
curl --request POST \
  --url https://api-{region}.sesametime.com/contract/v1/salaries \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payPeriod": "daily",
  "currency": "EUR",
  "grossSalary": 123,
  "payments": 123,
  "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startDate": "2023-12-25",
  "prorated": true,
  "grossPeriod": "yearly",
  "endDate": "2023-12-25",
  "comments": "<string>"
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payPeriod": "daily",
      "currency": "EUR",
      "grossSalary": 35000,
      "payments": 12,
      "contributionGroup": "Oficiales administrativos",
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "comments": "<string>",
      "prorated": false,
      "monthlyGrossSalary": 2917,
      "remuneration": 2916.67,
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Salary object that needs to be created

employeeId
string<uuid>
required

The ID of the employee

payPeriod
enum<string>
required

Payment period of contract

Available options:
daily,
weekly,
biweekly,
monthly,
yearly
currency
string
required

Currency of contract

Example:

"EUR"

grossSalary
number<float>
required

Salary amount

payments
integer
required

Number of payments

contributionGroupId
string<uuid>
required

Contribution group id

startDate
string<date>
required

Salary start date

prorated
boolean
required

Defines whether the salary is prorated or not

grossPeriod
enum<string>
default:yearly

Period of gross salary. Defaults to 'yearly' if not specified

Available options:
daily,
monthly,
yearly
endDate
string<date>

Salary end date

comments
string

Comments

Response

200 - application/json

Array of Objects

data
object[]
meta
object